<h:form xmlns:h="http://java.sun.com/jsf/html" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml">
  <rich:toolbar xmlns:s="http://jboss.com/products/seam/taglib">
    <rich:toolbarGroup>
      <!--  home menu -->
      <rich:dropDownMenu id="homeDropDownMenu">
        <f:facet name="label">
          <a4j:commandLink id="onClickGoHome" action="/home.xhtml"/>
          <h:panelGrid id="homePanelGrid" cellpadding="1" cellspacing="1" columns="2" style="vertical-align:middle">
            <h:graphicImage id="HomeImage" value="/img/home.gif" class="imgMenu"/>
            <h:outputText id="homeOutputText" value="#{messages['net.ihe.gazelle.cdagen.CDAGenerator']}"/>
          </h:panelGrid>
        </f:facet>
      </rich:dropDownMenu>
      <rich:dropDownMenu id="sims2DropDownMenu" rendered="#{'${profile}'!='esante'}">
        <f:facet name="label">
          <h:panelGrid id="sims2PanelGrid" cellpadding="1" cellspacing="1" columns="2" style="vertical-align:middle">
            <h:graphicImage value="/img/abiword.png" class="imgMenu"/>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.Tools']}"/>
          </h:panelGrid>
        </f:facet>
        <rich:menuGroup label="ePSOS">
          <f:facet name="icon">
            <h:graphicImage value="/img/epSOS.gif" class="imgMenu"/>
          </f:facet>
          <rich:menuItem id="edispgenmenu" submitMode="ajax" immediate="true" action="/dispgenerator/dispensation.xhtml" execute="@this">
            <f:facet name="icon">
              <h:graphicImage id="HL7Image" value="/img/epSOS.gif" class="imgMenu"/>
            </f:facet>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.GenerateEDispensation']}"/>
          </rich:menuItem>
          <rich:menuItem id="edislistmenu" submitMode="ajax" immediate="true" action="/dispgenerator/cdaGenerated.xhtml" execute="@this">
            <f:facet name="icon">
              <h:graphicImage id="listimg" value="/img/epSOS.gif" class="imgMenu"/>
            </f:facet>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.ListEDispensationGenerated']}"/>
          </rich:menuItem>
          <!-- 
					<rich:menuItem id="patlistmenu" submitMode="ajax" ajaxSingle="true"
						immediate="true" action="/author/allAuthors.xhtml">
						<f:facet name="icon">
							<h:graphicImage id="pattimg" value="/img/epSOS.gif"
								class="imgMenu" />
						</f:facet>
						<h:outputText value="List-Authors" />
					</rich:menuItem>
					
					
					<rich:menuItem id="cflistmenu" submitMode="ajax" ajaxSingle="true"
						immediate="true" action="/cdafile/allCDAFiles.xhtml">
						<f:facet name="icon">
							<h:graphicImage id="cftimg" value="/img/epSOS.gif"
								class="imgMenu" />
						</f:facet>
						<h:outputText value="List-All-CDA-Files" />
					</rich:menuItem>
					-->
        </rich:menuGroup>
      </rich:dropDownMenu>
      <!-- Documentation -->
      <rich:dropDownMenu id="docMen">
        <f:facet name="label">
          <h:panelGrid id="docindex" cellpadding="1" cellspacing="1" columns="2" style="vertical-align:middle">
            <h:graphicImage value="/img/doc.png" class="imgMenu"/>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDADocumentation']}"/>
          </h:panelGrid>
        </f:facet>
        <rich:menuItem submitMode="none" styleClass="menuEntry">
          <f:facet name="icon">
            <h:graphicImage value="/img/doc.png" class="imgMenu"/>
          </f:facet>
          <ns0:link xmlns:ns0="http://jboss.org/schema/seam/taglib" styleClass="menuLink" view="/cdaObjectType/listCDAObjectType.xhtml" value="CDA File Type"/>
        </rich:menuItem>
        <rich:menuItem submitMode="server" target="_blank" action="/indexCDA.html">
          <f:facet name="icon">
            <h:graphicImage value="/img/doc.png" class="imgMenu"/>
          </f:facet>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAContentDocumentation']}"/>
        </rich:menuItem>
        <rich:menuItem id="listTemplMenu" submitMode="none" styleClass="menuEntry">
          <f:facet name="icon">
            <h:graphicImage value="/img/doc.png" class="imgMenu"/>
          </f:facet>
          <ns1:link xmlns:ns1="http://jboss.org/schema/seam/taglib" propagation="none" styleClass="menuLink" view="/docum/templates/listTemplates.xhtml" value="CDA Templates Documentation"/>
        </rich:menuItem>
        <rich:menuItem id="listClMenu" submitMode="none" styleClass="menuEntry">
          <f:facet name="icon">
            <h:graphicImage value="/img/doc.png" class="imgMenu"/>
          </f:facet>
          <ns2:link xmlns:ns2="http://jboss.org/schema/seam/taglib" propagation="none" styleClass="menuLink" view="/docum/classes/listClasses.xhtml" value="CDA Classes Documentation"/>
        </rich:menuItem>
        <rich:menuItem id="constrSearch" submitMode="none" styleClass="menuEntry">
          <f:facet name="icon">
            <h:graphicImage value="/img/doc.png" class="imgMenu"/>
          </f:facet>
          <ns3:link xmlns:ns3="http://jboss.org/schema/seam/taglib" propagation="none" styleClass="menuLink" view="/docum/constraints/constraints.xhtml" value="Constraints Search"/>
        </rich:menuItem>
        <!-- 

				<rich:menuItem  submitMode="server" target="_blank" action="/templates.html"
				rendered="#{'${profile}'!='esante'}">
					<f:facet name="icon">
						<h:graphicImage value="/img/doc.png"
							class="imgMenu" />
					</f:facet>
					<h:outputText value="CDA epSOS Templates Documentation" />
				</rich:menuItem>
				
				<rich:menuItem submitMode="server" target="_blank" action="/constraints-viewer">
					<f:facet name="icon">
						<h:graphicImage value="/img/doc.png"
							class="imgMenu" />
					</f:facet>
					<h:outputText value="Constraints Search" />
				</rich:menuItem>
				
				-->
      </rich:dropDownMenu>
      <!-- generation -->
      <rich:dropDownMenu id="docgMen">
        <f:facet name="label">
          <h:panelGrid id="docggen" cellpadding="1" cellspacing="1" columns="2" style="vertical-align:middle">
            <h:graphicImage value="/img/icons64/editJR.gif" class="imgMenu"/>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAGeneration']}"/>
          </h:panelGrid>
        </f:facet>
        <rich:menuItem id="docedit" submitMode="ajax" immediate="true" action="/editor/editor.xhtml" execute="@this">
          <f:facet name="icon">
            <h:graphicImage value="/img/img_editor.png" class="imgMenu"/>
          </f:facet>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAEdition']}"/>
        </rich:menuItem>
        <rich:menuItem id="docsamp" submitMode="ajax" immediate="true" action="/editor/samples.xhtml" execute="@this">
          <f:facet name="icon">
            <h:graphicImage value="/img/rubon266.png" class="imgMenu"/>
          </f:facet>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDASamples_2']}"/>
        </rich:menuItem>
      </rich:dropDownMenu>
      <!--  admin menu -->
      <rich:dropDownMenu id="artdecorval" rendered="#{s:hasRole('admin_role')}">
        <f:facet name="label">
          <h:panelGrid id="artdecGrid" cellpadding="1" cellspacing="1" columns="2" style="vertical-align:middle">
            <h:graphicImage value="http://a.fsdn.com/allura/p/artdecor/icon" class="imgMenu"/>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.HL7TemplatesValidation_2']}"/>
          </h:panelGrid>
        </f:facet>
        <rich:menuItem id="artval" submitMode="ajax" immediate="true" action="/hl7templates/hl7validation.xhtml" execute="@this">
          <f:facet name="icon">
            <h:graphicImage value="/img/validation.gif" class="imgMenu"/>
          </f:facet>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.Validate']}"/>
        </rich:menuItem>
        <rich:menuItem id="artval2" submitMode="ajax" immediate="true" action="/hl7templates/hl7validations.xhtml" execute="@this">
          <f:facet name="icon">
            <h:graphicImage value="/img/validation.gif" class="imgMenu"/>
          </f:facet>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.ListValidations']}"/>
        </rich:menuItem>
      </rich:dropDownMenu>
      <!--  admin menu -->
      <rich:dropDownMenu id="adminnenu" rendered="#{s:hasRole('admin_role')}">
        <f:facet name="label">
          <h:panelGrid id="admunnelGrid" cellpadding="1" cellspacing="1" columns="2" style="vertical-align:middle">
            <h:graphicImage value="/img/configure.gif" class="imgMenu"/>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.Administration']}"/>
          </h:panelGrid>
        </f:facet>
        <rich:menuGroup label="Constraints Management">
          <f:facet name="icon">
            <h:graphicImage value="/img/configure.gif" class="imgMenu"/>
          </f:facet>
          <rich:menuItem id="consmenuadmin" submitMode="ajax" immediate="true" action="/docum/upload/uploadConstraints.seam" execute="@this">
            <f:facet name="icon">
              <h:graphicImage value="/img/configure.gif" class="imgMenu"/>
            </f:facet>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.ConstraintsAdmin']}"/>
          </rich:menuItem>
          <rich:menuItem id="consmiss1" submitMode="ajax" immediate="true" action="/docum/packages/missingAssertions.seam" execute="@this">
            <f:facet name="icon">
              <h:graphicImage value="/img/configure.gif" class="imgMenu"/>
            </f:facet>
            <h:outputText value="#{messages['net.ihe.gazelle.cdagen.ConstraintsWithNoAssertions']}"/>
          </rich:menuItem>
        </rich:menuGroup>
        <rich:menuItem id="appmanmenu" submitMode="ajax" immediate="true" action="/admin/applicationConfiguration.seam" execute="@this">
          <f:facet name="icon">
            <h:graphicImage value="/img/configure.gif" class="imgMenu"/>
          </f:facet>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.ApplicationPreferencesManagement']}"/>
        </rich:menuItem>
      </rich:dropDownMenu>
    </rich:toolbarGroup>
    <!-- @newMenuItem@ -->
    <ns0:toolbarGroup xmlns:rich="http://richfaces.ajax4jsf.org/rich" xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:ns0="http://richfaces.org/rich" location="right">
      <h:outputText id="menuWelcomeId" value="#{messages['net.ihe.gazelle.cdagen.SignedInAs']} #{credentials.username}" rendered="#{identity.loggedIn}"/>
      <a4j:commandLink value="#{messages['net.ihe.gazelle.cdagen.Login']}" action="#{applicationConfiguration.loginByIP()}" rendered="#{not identity.loggedIn and not applicationConfiguration.cas}"/>
      <ns5:link xmlns:ns5="http://jboss.org/schema/seam/taglib" id="menuLoginCasId" view="/cas/home.xhtml" value="#{messages['gazelle.simulator.loginCAS']}" rendered="#{not identity.loggedIn and applicationConfiguration.cas}" propagation="none"/>
      <ns6:link xmlns:ns6="http://jboss.org/schema/seam/taglib" id="menuLogoutId" view="/home.xhtml" action="#{identity.logout()}" value="Logout" rendered="#{identity.loggedIn}" propagation="none"/>
    </ns0:toolbarGroup>
    <rich:jQuery selector=".menuEntry" query="click(function() {location.href = jQuery(this).find('a').attr('href') })"/>
  </rich:toolbar>
</h:form>
